searchData={"items":[{"type":"module","title":"LivebookUtils","doc":"Documentation for `LivebookUtils`.","ref":"LivebookUtils.html"},{"type":"task","title":"mix add_navigation","doc":"","ref":"Mix.Tasks.AddNavigation.html"},{"type":"function","title":"Mix.Tasks.AddNavigation.run/1","doc":"","ref":"Mix.Tasks.AddNavigation.html#run/1"},{"type":"function","title":"Usage - Mix.Tasks.AddNavigation.run/1","doc":"Run the `mix add_navigation` task to automatically add navigation.\n\nSections for navigation should be included in the notebook using the following comments:\n\n```md\n \n \n```\n\n`livebook_utils` can update your navigation whenever your index file changes. You also have control over where navigation goes.","ref":"Mix.Tasks.AddNavigation.html#run/1-usage"},{"type":"function","title":"Template Example - Mix.Tasks.AddNavigation.run/1","doc":"Typically, we recommend putting a navigation section at the top and the bottom of the file.\n\nHere's an example template livebook file with navigation at the top and bottom of the file.\n\n```md\n# Title","ref":"Mix.Tasks.AddNavigation.html#run/1-template-example"},{"type":"function","title":"Navigation - Mix.Tasks.AddNavigation.run/1","doc":"","ref":"Mix.Tasks.AddNavigation.html#run/1-navigation"},{"type":"function","title":"SubTitle - Mix.Tasks.AddNavigation.run/1","doc":"","ref":"Mix.Tasks.AddNavigation.html#run/1-subtitle"},{"type":"function","title":"Navigation - Mix.Tasks.AddNavigation.run/1","doc":"```\n\nYou must have two or more notebooks in your index file with valid paths and titles to add navigation.","ref":"Mix.Tasks.AddNavigation.html#run/1-navigation"},{"type":"function","title":"Styling - Mix.Tasks.AddNavigation.run/1","doc":"Currently, we don't provide any control over styling the navigation section. Here's how navigation looks out of the box:\n\n \n \n  \n Book 3 \n \n \n Book 1","ref":"Mix.Tasks.AddNavigation.html#run/1-styling"},{"type":"extras","title":"README","doc":"[![Hex.pm](https://img.shields.io/hexpm/v/livebook_utils.svg)](https://hex.pm/packages/livebook_utils) [![Documentation](https://img.shields.io/badge/documentation-gray)](https://hexdocs.pm/livebook_utils/0.1.0/readme.html)\n\n# LivebookUtils\n\nLivebookUtils is an experimental collection of utility tasks and modules that make managing a complex Livebook project easier.\n\nWe use this library at [DockYard Academy](https://github.com/DockYard-Academy/curriculum) and [LiveView Native Guides](https://github.com/BrooklinJazz/liveview_native_guides) and are in between migrating tasks and modules from those projects into this project.","ref":"readme.html"},{"type":"extras","title":"Installation - README","doc":"Add the dependency to your project's mix path.\n\n```elixir\ndef deps do\n  [\n    {:livebook_utils, \"~> 0.1.0\"}\n  ]\nend\n```\n\nConfigure project environment variables in your `dev.exs` file. \n\n* `:index_path` the path to the index file that contains links to all project notebooks in order.\n* `\"notebooks_path` the path to the folder that contains all project notebooks. Currently, we only support one flat folder, but hope to support multiple folders in the future.\n\n```elixir\n# Livebook Utils Configuration\nconfig :livebook_utils,\n  index_path: \"guides/index.livemd\",\n  notebooks_path: \"guides\"\n```","ref":"readme.html#installation"},{"type":"extras","title":"Index - README","doc":"`LivebookUtils` assumes you have an index file. This file should contain links to all of your notebooks in chronological order.\n\nFor example\n\n```md\n* [Book 1](book1.livemd)\n* [Book 2](book2.livemd)\n* [Book 3](book3.livemd)\n```\n\nThese links may be in any format or order as long as they match the regular expression we use to find links.","ref":"readme.html#index"}],"content_type":"text/markdown"}